using System;
using System.Collections.Generic;
using System.Text;

namespace Model
{
    [Serializable]
    public class MError
    {
        int _ErrorIndex;

        public int ErrorIndex
        {
            get { return _ErrorIndex; }
            set { _ErrorIndex = value; }
        }
        int _DeviceKindIndex;

        public int DeviceKindIndex
        {
            get { return _DeviceKindIndex; }
            set { _DeviceKindIndex = value; }
        }
        int _DeviceErrorIndex;

        public int DeviceErrorIndex
        {
            get { return _DeviceErrorIndex; }
            set { _DeviceErrorIndex = value; }
        }
        string _ErrorName;

        public string ErrorName
        {
            get { return _ErrorName; }
            set { _ErrorName = value; }
        }
        int _ErrorLevel;

        public int ErrorLevel
        {
            get { return _ErrorLevel; }
            set { _ErrorLevel = value; }
        }
        int _ManageStatus;

        public int ManageStatus
        {
            get { return _ManageStatus; }
            set { _ManageStatus = value; }
        }
    }
}
